
#include <sys/timeb.h>
#include <sys/types.h>
#include <pcap.h>

struct statpoint
{
	unsigned char * shortname;
	unsigned char * description;
	unsigned char * bpf_rule;
	struct bpf_program filter;
	
	unsigned long overallBytes;
	unsigned long long overallPackets;
	
	unsigned long lastBytes;
	unsigned long long lastPackets;
	
	float currentBytes;
	float currentPackets;
	
	float maxBytes, maxPackets;
	float redBytes, redPackets;
	float yellowBytes, yellowPackets;
};

struct grant
{
	struct grant * next;
	u_int32_t ip;
	u_int32_t mask;
};

struct rated
{
	int sp_count;
	struct statpoint ** entries;
	
	int prefix;
	
	struct grant * acl;
	unsigned short interval;
	u_int16_t udpport;
	unsigned char * interface;
	unsigned char * general;
	int mtu;
	
	struct timeb startTime;
	struct timeb lastTime;
	struct timeb currentTime;
};

